package TX_OtherClass;

public final class Coordinates extends JceStruct {
    public double accuracy;
    public float latitude;
    public float longitude;
    public int type;

    public Coordinates() {
        super();
        this.type = 0;
        this.latitude = 0f;
        this.longitude = 0f;
        this.accuracy = 0;
    }

    public Coordinates(int arg3, float arg4, float arg5, double arg6) {
        super();
        this.type = 0;
        this.latitude = 0f;
        this.longitude = 0f;
        this.accuracy = 0;
        this.type = arg3;
        this.latitude = arg4;
        this.longitude = arg5;
        this.accuracy = arg6;
    }

    public final void readFrom(c arg5) {
        this.type = arg5.a(this.type, 0, false);
        this.latitude = arg5.a(this.latitude, 1, false);
        this.longitude = arg5.a(this.longitude, 2, false);
        this.accuracy = arg5.a(this.accuracy, 3, false);
    }

    public final void writeTo(d arg4) {
        arg4.a(this.type, 0);
        arg4.a(this.latitude, 1);
        arg4.a(this.longitude, 2);
        arg4.a(this.accuracy, 3);
    }
}
